<div class="importer">
<button type="button" mat-raised-button color="primary" (click)="importCAPI()">Import cAPI journal</button>
<button type="button" mat-raised-button (click)="fileInput.click()">Import local journal files</button>
<input hidden (change)="readJournals($event)" #fileInput multiple type="file" accept=".log">
</div>
<mat-progress-bar *ngIf="importProgress > 0 && importProgress < 100"  color="primary" mode="buffer" [value]="importProgress"></mat-progress-bar>
<mat-progress-bar *ngIf="importProgress === 100"  color="primary" mode="query"></mat-progress-bar>
<hr>

<section class="options">
  <mat-checkbox [(ngModel)]="onlyWithCollection" (click)="updateDataSource()">Must include collection drone launch</mat-checkbox>
  <mat-checkbox [(ngModel)]="onlyWithProspector" (click)="updateDataSource()">Must include prospector drone launch</mat-checkbox>
</section>

<table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
  <ng-container matColumnDef="dateStart">
    <th mat-header-cell *matHeaderCellDef> From </th>
    <td mat-cell *matCellDef="let element"> {{element.dateStart | date:'full'}} </td>
  </ng-container>
  <ng-container matColumnDef="dateEnd">
    <th mat-header-cell *matHeaderCellDef> To </th>
    <td mat-cell *matCellDef="let element"> {{element.dateEnd | date:'full'}} </td>
  </ng-container>
  <ng-container matColumnDef="duration">
    <th mat-header-cell *matHeaderCellDef> Duration </th>
    <td mat-cell *matCellDef="let element"> {{element.duration | duration}} </td>
  </ng-container>
  <ng-container matColumnDef="location">
    <th mat-header-cell *matHeaderCellDef> Location </th>
    <td mat-cell *matCellDef="let element"> {{element.location.body || element.location.starSystem}} </td>
  </ng-container>
  <ng-container matColumnDef="gameMode">
    <th mat-header-cell *matHeaderCellDef> Game mode </th>
    <td mat-cell *matCellDef="let element"> {{element.gameMode}} </td>
  </ng-container>
  <ng-container matColumnDef="commander">
    <th mat-header-cell *matHeaderCellDef> Commander </th>
    <td mat-cell *matCellDef="let element"> {{element.commander}} </td>
  </ng-container>
  <ng-container matColumnDef="ship">
    <th mat-header-cell *matHeaderCellDef> Ship </th>
    <td mat-cell *matCellDef="let element"> {{element.ship}} </td>
  </ng-container>
  <ng-container matColumnDef="events">
    <th mat-header-cell *matHeaderCellDef> Events </th>
    <td mat-cell *matCellDef="let element">
      <mat-icon *ngIf="element.attacked" title="You were getting attacked">warning</mat-icon>
      <mat-icon *ngIf="element.died" title="You died">skull</mat-icon>
    </td>
  </ng-container>
  <ng-container matColumnDef="open">
    <th mat-header-cell *matHeaderCellDef></th>
    <td mat-cell *matCellDef="let element">
      <button mat-flat-button color="primary" [routerLink]="['/detail', element.id]">Open</button>
    </td>
  </ng-container>
  <ng-container matColumnDef="contribute">
    <th mat-header-cell *matHeaderCellDef></th>
    <td mat-cell *matCellDef="let element">
      <button mat-flat-button color="accent" (click)="contribute(element)" [disabled]="element.location.bodyID <= 0">Contribute</button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
